BEGIN {
	FS="[ \11=]*"
	image=""
	initrd="?"
	label="?"
	title="?"
	isImage=0
}
/#/ {
}
/title/ {
	if ( label != "?" ) {
		print image " " initrd " " label
	}
	label="?"
	initrd="?"
	image="?"

	label=$2" "$3" "$4" "$5
}
/kernel/ {
	if ( $1 == "" ) {
		element=$3
	} else {
		element=$2
	}
	if ( match(element,"^(.*)") ) {
		element=substr(element,match(element,")")+1)
	}
	if ( match(element,"/boot") ) {
		image=element
	} else {
		image="/boot" element
	}
}
/initrd/ {
	if ( $1 == "" ) {
		element=$3
	} else {
		element=$2
	}
	if ( match(element,"^(.*)") ) {
		element=substr(element,match(element,")")+1)
	}
	if ( match(element,"/boot") ) {
		initrd=element
	} else {
		initrd="/boot" element
	}
}
END {
	if ( label != "?" ) {
		print image " " initrd " " label
	}
}
